View Issue Details

IDProjectCategoryView StatusLast Update
0003592SOGoActiveSyncpublic2016-04-04 08:32
Reporterrogiervandervelde Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSRHEL/CentOSOS Version6
Product Version2.3.9 
Fixed in Version3.1.0 
Summary0003592: Japanese characters not displayed in ActiveSync Connection
Description

Mail with:

Content-Type: text/plain; charset="ISO-2022-JP"
Content-Transfer-Encoding: 7bit

Followed by Japanese text are not displayed correctly in Outlook when using active sync. In Android only some short emails are displayed correctly.

Steps To Reproduce

Always, just recieve an email with the above content type and Japanese text.

TagsNo tags attached.

Activities

rogiervandervelde

rogiervandervelde

2016-03-21 10:53

reporter  

japanese gone wrong.jpg (119,356 bytes)   
japanese gone wrong.jpg (119,356 bytes)   
ludovic

ludovic

2016-03-21 11:38

administrator   ~0009803

Provide a test mail.

rogiervandervelde

rogiervandervelde

2016-03-21 11:49

reporter  

test.eml (3,203 bytes)
rogiervandervelde

rogiervandervelde

2016-03-21 11:51

reporter   ~0009804

Last edited: 2016-03-21 11:54

I've added an email that I've received.

ludovic

ludovic

2016-03-23 15:31

administrator   ~0009828

That mail has invalid by sequences. SOGo complains about it:

Mar 23 15:29:43 sogod [13775]: <0x0x7ffff59127e0[NSString]> Got invalid multibyte sequence. ToEncode: UTF-16LE FromEncode: ISO-2022-JP.

Moreover, even iconv complains about it:

iconv -f ISO2022JP -t UTF-8 jap
...
conv: illegal input sequence at position 1061

rogiervandervelde

rogiervandervelde

2016-03-23 21:06

reporter   ~0009830

Maybe this company sends emails formated the wrong way, but it also goes wrong with other emails in Japanese. I've tested some other emails, and iconv does not complain about them having illegal characters. Would it be ok to provide you an other email about this issue?

ludovic

ludovic

2016-03-23 21:07

administrator   ~0009831

Sure

rogiervandervelde

rogiervandervelde

2016-03-23 21:09

reporter  

test_iconv_checked.eml (3,056 bytes)
ludovic

ludovic

2016-04-04 08:32

administrator   ~0009918

Fixed: https://github.com/inverse-inc/sogo/commit/0a417f4adb048da731ad179847c704db1a607ffa

Also fixed for 2.3.10.

Issue History

Date Modified Username Field Change
2016-03-21 10:53 rogiervandervelde New Issue
2016-03-21 10:53 rogiervandervelde File Added: japanese gone wrong.jpg
2016-03-21 11:38 ludovic Note Added: 0009803
2016-03-21 11:49 rogiervandervelde File Added: test.eml
2016-03-21 11:51 rogiervandervelde Note Added: 0009804
2016-03-21 11:53 rogiervandervelde Note Edited: 0009804
2016-03-21 11:54 rogiervandervelde Note Edited: 0009804
2016-03-23 15:31 ludovic Note Added: 0009828
2016-03-23 15:31 ludovic Status new => closed
2016-03-23 15:31 ludovic Assigned To => ludovic
2016-03-23 15:31 ludovic Resolution open => suspended
2016-03-23 21:06 rogiervandervelde Note Added: 0009830
2016-03-23 21:06 rogiervandervelde Status closed => feedback
2016-03-23 21:06 rogiervandervelde Resolution suspended => reopened
2016-03-23 21:07 ludovic Note Added: 0009831
2016-03-23 21:09 rogiervandervelde File Added: test_iconv_checked.eml
2016-04-04 08:32 ludovic Note Added: 0009918
2016-04-04 08:32 ludovic Status feedback => resolved
2016-04-04 08:32 ludovic Fixed in Version => 3.1.0
2016-04-04 08:32 ludovic Resolution reopened => fixed